Package org.pushingpixels.lafwidget.tree.dnd

# Class TreeDragAndDropWidget

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetAdapter<JTree>
org.pushingpixels.lafwidget.tree.dnd.TreeDragAndDropWidget

All Implemented Interfaces:
  `LafWidget<JTree>`

public class TreeDragAndDropWidget extends LafWidgetAdapter<JTree>
TreeWrapper is used to handle drag and drop and popup menus in any JTree.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PropertyChangeListener`
`cellRendererChangeListener`
`protected DragGestureRecognizer`
`dragGestureRecognizer`
`protected DragSource`
`dragSource`
`protected org.pushingpixels.lafwidget.tree.dnd.TreeDragAndDropWidget.TreeDropTargetListener`
`dropListener`
`protected MutableTreeNode`
`dropNode`
`protected DropTarget`
`dropTarget`
`protected org.pushingpixels.lafwidget.tree.dnd.TreeDragAndDropWidget.TreeDragGestureListener`
`gestureListener`
`protected EventListenerList`
`listeners`
`protected PropertyChangeListener`
`propertyChangeListener`
`protected org.pushingpixels.lafwidget.tree.dnd.DnDCellRendererProxy`
`rendererProxy`

### Fields inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`jcomp`

### Fields inherited from interface org.pushingpixels.lafwidget.LafWidget

`AUTO_SCROLL, COMPONENT_PREVIEW_PAINTER, HAS_LOCK_ICON, IGNORE_GLOBAL_LOCALE, PASSWORD_STRENGTH_CHECKER, TABBED_PANE_PREVIEW_PAINTER, TEXT_EDIT_CONTEXT_MENU, TEXT_FLIP_SELECT_ON_ESCAPE, TEXT_SELECT_ON_FOCUS, TREE_AUTO_DND_SUPPORT`

## Constructor Summary

Constructors
Constructor
Description
`TreeDragAndDropWidget()`

## Method Summary

Modifier and Type
Method
Description
`void`
`installListeners()`
Installs listeners for the associated component.
`boolean`
`requiresCustomLafSupport()`
Returns indication whether `this` widget requires custom LAF support.
`void`
`uninstallListeners()`
Uninstalls listeners for the associated component.

### Methods inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`installComponents, installDefaults, installUI, setComponent, uninstallComponents, uninstallDefaults, uninstallUI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rendererProxy

protected org.pushingpixels.lafwidget.tree.dnd.DnDCellRendererProxy rendererProxy

### dragSource

protected DragSource dragSource

### dropTarget

protected DropTarget dropTarget

### dropNode

protected MutableTreeNode dropNode

### listeners

protected EventListenerList listeners

### propertyChangeListener

protected PropertyChangeListener propertyChangeListener

### cellRendererChangeListener

protected PropertyChangeListener cellRendererChangeListener

### dropListener

protected org.pushingpixels.lafwidget.tree.dnd.TreeDragAndDropWidget.TreeDropTargetListener dropListener

### gestureListener

protected org.pushingpixels.lafwidget.tree.dnd.TreeDragAndDropWidget.TreeDragGestureListener gestureListener

### dragGestureRecognizer

protected DragGestureRecognizer dragGestureRecognizer

## Constructor Details

### TreeDragAndDropWidget

public TreeDragAndDropWidget()

## Method Details

### requiresCustomLafSupport

public boolean requiresCustomLafSupport()
Description copied from interface: `LafWidget`
Returns indication whether `this` widget requires custom LAF support. Some widgets such as `TabOverviewDialogWidget` or `TabHoverPreviewWidget` require custom implementation based on the internals of the specific LAF. Relevant functions in the base `LafWidgetSupport` support throw `UnsupportedOperationException`.

Returns:
  `true` if `this` widget requires custom LAF support, `false` otherwise.

### installListeners

public void installListeners()
Description copied from interface: `LafWidget`
Installs listeners for the associated component.

Specified by:
  `installListeners` in interface `LafWidget<JTree>`
Overrides:
  `installListeners` in class `LafWidgetAdapter<JTree>`

### uninstallListeners

public void uninstallListeners()
Description copied from interface: `LafWidget`
Uninstalls listeners for the associated component.

Specified by:
  `uninstallListeners` in interface `LafWidget<JTree>`
Overrides:
  `uninstallListeners` in class `LafWidgetAdapter<JTree>`